Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3375 - problem with the libraries of the rpm package
Summary: problem with the libraries of the rpm package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL: http://users.otenet.gr/~markoni
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 22:33 UTC by markoni
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-10 12:30:58 UTC


Attachments (Terms of Use)

Description markoni 1999-06-09 22:33:27 UTC
I have the rawhide version of redhat on a i686 linux system.
I have rpm-3.0.1-12.i386.rpm, glibc-2.1-7, and egcs-1.1.2-13
installed.
Furthermore, I have downloaded kpackage-1.3 and although it
does compile alright, after some insignificant
modifications, it does not want to link properly.

This is what the I get:

===========================================

/bin/sh ../libtool --mode=link g++  -O2 -m486
-fno-strength-reduce -s -o kpackage -L/usr/lib -L/usr/lib
-L/usr/X11R6/lib -rpath /usr/lib -rpath /usr/X11R6/lib
kpackage.o mana
gementWidget.o packageDisplay.o  aboutDialog.moc.o
debInterface.moc.o fbsdInterface.moc.o findf.moc.o
installationWidget.moc.o kio.moc.o kissInterface.moc.o
kpackage.moc.o ma
nagementWidget.moc.o options.moc.o packageDisplay.moc.o
packageProperties.moc.o pkgInterface.moc.o
pkginstallOptions.moc.o pkguninstallDialog.moc.o
procbuf.moc.o rpmInterface
.moc.o search.moc.o slackInterface.moc.o updateLoc.moc.o
packageProperties.o pkguninstallDialog.o findf.o search.o
installationWidget.o options.o pkginstallOptions.o aboutDia
log.o packageInfo.o cache.o main.o utils.o kio.o
debInterface.o updateLoc.o procbuf.o ktvitem.o
pkgInterface.o rpmInterface.o kissInterface.o
slackInterface.o fbsdInterface.o
 rpmInstall.o rpmVerify.o rpmutils.o rpmMessages.o -lkfile
-lkfm -lkdeui -lkdecore -lqt -lX11 -lXext  -lrpm -ldb1 -lz
g++ -O2 -m486 -fno-strength-reduce -s -o kpackage -L/usr/lib
-L/usr/lib -L/usr/X11R6/lib kpackage.o managementWidget.o
packageDisplay.o aboutDialog.moc.o debInterface.moc.o f
bsdInterface.moc.o findf.moc.o installationWidget.moc.o
kio.moc.o kissInterface.moc.o kpackage.moc.o
managementWidget.moc.o options.moc.o packageDisplay.moc.o
packageProperti
es.moc.o pkgInterface.moc.o pkginstallOptions.moc.o
pkguninstallDialog.moc.o procbuf.moc.o rpmInterface.moc.o
search.moc.o slackInterface.moc.o updateLoc.moc.o
packagePropert
ies.o pkguninstallDialog.o findf.o search.o
installationWidget.o options.o pkginstallOptions.o
aboutDialog.o packageInfo.o cache.o main.o utils.o kio.o
debInterface.o updateL
oc.o procbuf.o ktvitem.o pkgInterface.o rpmInterface.o
kissInterface.o slackInterface.o fbsdInterface.o
rpmInstall.o rpmVerify.o rpmutils.o rpmMessages.o -lkfile
-lkfm -lkdeu
i -lkdecore -lqt -lX11 -lXext -lrpm -ldb1 -lz -Wl,--rpath
-Wl,/usr/lib -Wl,--rpath -Wl,/usr/X11R6/lib
/usr/lib/librpm.a(verify.o): In function
`verifyDependencies':
verify.o(.text+0xbcb): undefined reference to
`printDepFlags'
/usr/lib/librpm.a(query.o): In function `printNewSpecfile':
query.o(.text+0xf70): undefined reference to `tagName'
query.o(.text+0xfa0): undefined reference to `specedit'
/usr/lib/librpm.a(query.o): In function `rpmQueryVerify':
query.o(.text+0x140e): undefined reference to `ufdOpen'
query.o(.text+0x146e): undefined reference to `ufdClose'
query.o(.text+0x1499): undefined reference to `ufdClose'
query.o(.text+0x15d3): undefined reference to `parseSpec'
query.o(.text+0x163c): undefined reference to `freeSpec'
query.o(.text+0x1647): undefined reference to `specedit'
query.o(.text+0x1659): undefined reference to `freeSpec'
query.o(.text+0x168d): undefined reference to `freeSpec'
/usr/lib/librpm.a(query.o)(.data+0x1e8): undefined reference
to `specedit'
collect2: ld returned 1 exit status
make[3]: *** [kpackage] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/kpackage-1.3/kpackage'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/kpackage-1.3/kpackage'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/usr/src/redhat/BUILD/kpackage-1.3'
make: *** [all-recursive-am] Error 2
Bad exit status from /var/tmp/rpm-tmp.24233 (%build)

Comment 1 Jeff Johnson 1999-06-10 12:30:59 UTC
This has been fixed in CVS and should appear as rpm-3.0.2-0.2 in Raw
Hide this Friday.


Note You need to log in before you can comment on or make changes to this bug.